import cherrypy
import os
 
 
class WebServer:
    
    @cherrypy.expose
    def index(self):
        return f"""
            Zdraví Vás Váš osobní webový server!
            <br>
            <form method="post" action="upload" enctype="multipart/form-data">
                <input type="file" name="soubor">
                <input type="submit">
            </form>
        """
    
    @cherrypy.expose
    def upload(self, soubor):
        # NEfunguje
        with open(f'public/{soubor.filename}', 'bw') as f:
            soubor.read_into_file(f)
        # 
        data = soubor.file.read()
        # 
        return f"""
            binární data o délce {len(data)} bajtů
        """


if __name__ == '__main__':
    config = {
        '/soubory': {
            'tools.staticdir.on': True,
            'tools.staticdir.root': os.path.abspath(os.getcwd()),
            'tools.staticdir.dir': './public',
        },
    }
    cherrypy.quickstart(WebServer(), '/', config)
